apiVersion: apps/v1
kind: Deployment
metadata:
  name: "{{ include "chart.name" . }}-frontend"
  labels:
    {{- include "chart.labels" . | nindent 4 }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      {{- include "chart.frontendSelectorLabels" . | nindent 6 }}
  template:
    metadata:
      labels:
        {{- include "chart.frontendSelectorLabels" . | nindent 8 }}
    spec:
      containers:
        - name: {{ .Chart.Name }}-frontend
          image: "{{ .Values.frontendImage.repository }}:{{ .Values.frontendImage.tag | default .Chart.AppVersion }}"
          imagePullPolicy: {{ .Values.frontendImage.pullPolicy }}
          ports:
            - name: http
              containerPort: 80
              protocol: TCP
          livenessProbe:
            httpGet:
                path: {{ .Values.frontendHealthStatus.path }}
                port: {{ .Values.frontendHealthStatus.port }}
            initialDelaySeconds: 30
            periodSeconds: 10
          readinessProbe:
            httpGet:
                path: {{ .Values.frontendHealthStatus.path }}
                port: {{ .Values.frontendHealthStatus.port }}
            initialDelaySeconds: 10
            periodSeconds: 10
          resources:
            {{- toYaml .Values.resources | nindent 12 }}

